Subject: Re: [Bitcoin-development] Payment Protocol for Face-to-face Payments

From: Jeff Garzik <[email-masked]>
Date: Thu, 20 Mar 2014 14:01:48 -0400

It really depends on the physical, real world size of the QR code.

If you have a big screen, and security permits displaying a larger QR
code, you can afford more bytes.  If you are displaying a tiny postage
stamp 1-2cm in size, the practical byte limit is very low.

Ideally, you test your QR codes in real world conditions, before
picking the best path.

On Thu, Mar 20, 2014 at 1:42 PM, Alex Kotenko <[email-masked]> wrote:
> 2014-03-20 17:31 GMT+00:00 Jeff Garzik <[email-masked]>:
>>
>> On Thu, Mar 20, 2014 at 8:12 AM, Adam Back <[email-masked]> wrote:
>> > Whats a sensible limit on practical/convenient QR code size?
>>
>> Extremely limited.  Preferably under 100 bytes.  You will see
>> increasingly poor operating in varying light conditions, such as
>> paying via QR code on a printed receipt in a pub at night.  That was
>> one of the motivations for BIP 73.
>
> Hmm, in this case I think base43 discussion is irrelevant. Even with best
> space utilization we can get we will not be able to fit in anything bigger
> than a smallest unsigned payment certificate. And that is not so useful. So
> probably we should stick with BIP73 approach and bluetooth URI scheme we're
> inventing.
>
>
>>
>>
>>
>> On Thu, Mar 20, 2014 at 4:09 AM, Andreas Schildbach
>> <[email-masked]> wrote:
>> > Afaik, BIP73 needs an external server (the web server).
>>
>> Yes.  Internet connectivity is not a rarity these days.  Near-field
>> web servers also work fine.
>>
>> --
>> Jeff Garzik
>> Bitcoin core developer and open source evangelist
>> BitPay, Inc.      https://bitpay.com/
>>
>>
>> ------------------------------------------------------------------------------
>> Learn Graph Databases - Download FREE O'Reilly Book
>> "Graph Databases" is the definitive new guide to graph databases and their
>> applications. Written by three acclaimed leaders in the field,
>> this first edition is now available. Download your free book today!
>> http://p.sf.net/sfu/13534_NeoTech
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>

-- 
Jeff Garzik
Bitcoin core developer and open source evangelist
BitPay, Inc.      https://bitpay.com/